function n(e) {
  if (e)
    return e.componentProps ?? e.rhfComponentProps;
}
function r(e) {
  return e.mandatory ?? e.isRequired ?? !1;
}
function o(e) {
  return e.helperMessage ?? e.helperText ?? null;
}
function l(e) {
  return e.label ?? e.fieldLabel ?? null;
}
function t(e) {
  return e.magnitudeUnit?.symbol || void 0;
}
export {
  o as resolveFieldHelperMessage,
  l as resolveFieldLabelValue,
  r as resolveFieldMandatory,
  t as resolveFieldSymbol,
  n as resolveFieldTypeComponentProps
};
